Bug 56147 - Autojoin fails with short host name
Summary: Autojoin fails with short host name
Status: RESOLVED FIXED
Alias: None
Product: realmd
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Stef Walter
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-18 15:35 UTC by Stef Walter
Modified: 2012-10-20 06:02 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Allow use of host names without any dot. (2.67 KB, patch)
2012-10-19 19:42 UTC, Stef Walter
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Stef Walter 2012-10-18 15:35:18 UTC
Autojoin seems to fail with a short host name. The host name was set to 'live-user'

# hostname
live-user
# realm join --verbose radi08.segad.lab.sjc.redhat.com
 * Searching for kerberos SRV records for domain: _kerberos._udp.radi08.segad.lab.sjc.redhat.com
 * Searching for MSDCS SRV records on domain: _kerberos._tcp.dc._msdcs.radi08.segad.lab.sjc.redhat.com
 * ad1.radi08.segad.lab.sjc.redhat.com:88 
 * Found kerberos DNS records for: radi08.segad.lab.sjc.redhat.com
 * Found AD style DNS records for: radi08.segad.lab.sjc.redhat.com
 * Successfully discovered: radi08.segad.lab.sjc.redhat.com
 * Required files present: /usr/sbin/sss_cache, /usr/sbin/sssd, /usr/sbin/adcli
 * LANG=C /usr/sbin/adcli join --verbose --show-details --domain RADI08.SEGAD.LAB.SJC.REDHAT.COM --login-type computer --no-password
 ! Couldn't find qualified domain name, proceeding with local host name instead: live-user: Name or service not known
 * Using domain name: RADI08.SEGAD.LAB.SJC.REDHAT.COM
 ! Couldn't determine the computer account name from host name: live-user
adcli: couldn't connect to RADI08.SEGAD.LAB.SJC.REDHAT.COM domain: Couldn't determine the computer account name from host name: live-user
 ! Failed to join the domain
realm: Couldn't join realm: Failed to join the domain
Comment 1 Stef Walter 2012-10-18 15:52:27 UTC
Well in general adcli seems to fail.
Comment 2 Stef Walter 2012-10-19 19:23:44 UTC
To duplicate: 

$ tools/adcli join --verbose --host-fqdn live-user --user swalter --domain radi08.segad.lab.sjc.redhat.com --host-keytab=/tmp/krb5.keytab
 * Using fully qualified name: live-user
 * Using domain name: radi08.segad.lab.sjc.redhat.com
 ! Couldn't determine the computer account name from host name: live-user
lt-adcli: couldn't connect to radi08.segad.lab.sjc.redhat.com domain: Couldn't determine the computer account name from host name: live-user
Comment 3 Stef Walter 2012-10-19 19:42:34 UTC
Created attachment 68814 [details] [review]
Allow use of host names without any dot.
Comment 4 Stef Walter 2012-10-20 06:02:48 UTC
Attachment 68814 [details] pushed as be76ec6 - Allow use of host names without any dot.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.